Subject: [tsvwg] WGLC for draft-ietf-tsvwg-sctp-ndata to conclude 12th June 2017.

From: Gorry Fairhurst <[email-masked]>
Date: Sun, 28 May 2017 20:23:09 +0100

This email notes the start of a WGLC for draft-ietf-tsvwg-sctp-ndata.

Please send notes to this list or the WG Chairs, if you support 
publication of this draft or have any comments on the current revision 
of this document. The intended status (if the document completes the 
WGLC) is PS.

The WGLC will conclude 12th June 2017.

Best wishes,

Gorry, David and Wes.

---

From: Gorry Fairhurst <[email-masked]>
Date: Sun, 28 May 2017 20:24:48 +0100

> The WGLC will conclude 12th June 2017.
I have the read above document during the WGLC and I would like to add 
the following comments to the WGLC for this draft.

Best wishes,

Gorry

----
OLD:
allowing to have up to
NEW:
allowing up to
- may be better English?
---
OLD:
Therefore it is impossible for the sender to
NEW:
This document allows an SCTP sender to
- The impossibility cited was the case before this document is approved. 
I think
the alternative wording avoids this.
---
OLD:
complaint implementation not supporting
NEW:
complaint implementation that does not support
---
OLD:
which has been omitted from the I-DATA chunk
NEW:
(The I-Data chunk omits a TSN.)
- Slightly confusing wording.
---
Figure 2
I understood Figure 2 perfectly when I last read it, now some time has 
passed I found it a little harder. I think this would be much easier to 
understand if the text explained that this shows a scheduler with two 
queues of messages. Queue 1 has three messages, queue 2 has one larger 
message that is interleaved by dividing ... etc and explain 0...8 etc.
---
Section 3.2, 3.3 etc contain the word “scheduler” in the title, but 
section 3.1 did not, but the text still refers to this as a scheduler, 
so please update the section 3.1 title to include the word “scheduler” 
to be consistent.
---
Section 3.3
- insert comma before /which/.
---
Section 3.6
- Speaks of bandwidth (twice), whereas I think it would be clearer to 
use the word “capacity” since this is about sharing network capacity.
---
Section 4.1
OLD:
Exposition
NEW:
Exposure
- Wrong word!
---
Section 4.1
- For avoidance of doubt, please use the title of the section in RFC6458 
with each entry, i.e., “SCTP Header Information Structure” and “Extended 
SCTP Header Information Structure” and “SCTP Receive Information Structure”.
---